{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    // deal negative -m "feedback_message" -s "Hxhv4ewOOVGbydibNzdNxaWPDkFhDi0N3rdXtPVe5YtkfR2RECUG5KebcRCBmgN94t/NVYBOo/ft/FN1q6p42l8=" 2NAFmjLid526kjekoMiCm8nX5SxFCfk7jgC
    // -m "feedback_message" -s "Hxhv4ewOOVGbydibNzdNxaWPDkFhDi0N3rdXtPVe5YtkfR2RECUG5KebcRCBmgN94t/NVYBOo/ft/FN1q6p42l8=" 2NAFmjLid526kjekoMiCm8nX5SxFCfk7jgC
    //--debug --address https://testnet-dm2.bitdeals.org deal create -t prepayment -s mnumHs9HQMrw2Q1iKLNnx9NzExS7nMLmyp -c mraXx7JrmAmuKypdJ1vseQBXySsdRZE5AC -g 0.01
    //  dm-cli --debug deal complete --positive 2MwPWCkWuqsigNu7YPrA5eStUUD6LvyHQTd 
    // -m "feedback_message" -s "Hxhv4ewOOVGbydibNzdNxaWPDkFhDi0N3rdXtPVe5YtkfR2RECUG5KebcRCBmgN94t/NVYBOo/ft/FN1q6p42l8=" 2NAFmjLid526kjekoMiCm8nX5SxFCfk7jgC
    // curl --location 'https://testnet-dm.bitdeals.org/api/v1/deal/feedback?server=https%3A%2F%2Ftestnet.bitdeals.org'


    "version": "0.2.0",
    "configurations": [
        {
            "name": "(gdb) dm-cli",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/dm-cli",
            "args": [ 
            "--address",
            "https://testnet-dm2.bitdeals.org",
            "--debug",
            "deal", 
            "negative",
            "-m",
            "message_text",
            "-s",
            "HxcVlEuqV5G3FUW6Ter553DmtcxTT7DWBUtSO5mn+DS1MZzEwLcLwEYWXJSbtphHKYCQU3EZTkWPfBaOFA2kxhU=", 
            "2Mzc3G6oKce8WHxSWF9eJ826swAGHD4Ftzi"

            
            

            
            ],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        }

    ]
}